require 'rdf'
module BioInterchange

class CDAO

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000142)
  def self.has_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000142')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000143)
  def self.belongs_to_Edge_as_Child
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000143')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000144)
  def self.has_Ancestor
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000144')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000145)
  def self.has_Nucleotide_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000145')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000146)
  def self.belongs_to_Edge
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000146')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000147)
  def self.belongs_to_Character_State_Data_Matrix
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000147')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000148)
  def self.has_Root
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000148')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000149)
  def self.has_Child
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000149')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000150)
  def self.has_First_Coordinate_Item
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000150')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000151)
  def self.has_Coordinate
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000151')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000152)
  def self.belongs_to_Continuous_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000152')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000153)
  def self.has_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000153')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000154)
  def self.has_Standard_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000154')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000155)
  def self.subtree_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000155')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000156)
  def self.has_Amino_Acid_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000156')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000157)
  def self.is_annotation_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000157')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000158)
  def self.has_RNA_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000158')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000159)
  def self.has_Left_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000159')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000160)
  def self.precedes
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000160')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000161)
  def self.exclude
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000161')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000162)
  def self.has_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000162')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000163)
  def self.nca_node_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000163')
  end

  # Associates a TU to some external taxonomy reference.
  # (http://purl.obolibrary.org/obo/CDAO_0000164)
  def self.has_External_Reference
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000164')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000165)
  def self.has_Coordinate_System
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000165')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000166)
  def self.belongs_to_Nucleotide_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000166')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000167)
  def self.connects_to
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000167')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000168)
  def self.has_Amino_Acid_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000168')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000169)
  def self.hereditary_change_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000169')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000170)
  def self.has_Compound_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000170')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000171)
  def self.has_Descendants
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000171')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000172)
  def self.reconciliation_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000172')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000173)
  def self.belongs_to_Amino_Acid_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000173')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000174)
  def self.has_Descendant
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000174')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000175)
  def self.has_Continuous_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000175')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000176)
  def self.has_Type
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000176')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000177)
  def self.belongs_to_Edge_as_Parent
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000177')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000178)
  def self.has
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000179)
  def self.has_Parent
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000179')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000180)
  def self.belongs_to_Compound_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000180')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000181)
  def self.homologous_to
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000181')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000182)
  def self.has_Change_Component
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000183)
  def self.has_Categorical_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000184)
  def self.has_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000185)
  def self.has_Left_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000185')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000186)
  def self.has_Right_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000186')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000187)
  def self.represents_TU
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000187')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000188)
  def self.exclude_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000188')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000189)
  def self.has_Compound_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000189')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000190)
  def self.belongs_to
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000191)
  def self.belongs_to_TU
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000191')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000192)
  def self.belongs_to_Network
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000192')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000193)
  def self.has_Annotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000193')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000194)
  def self.part_of
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000194')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000195)
  def self.has_Nucleotide_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000195')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000196)
  def self.represented_by_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000196')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000197)
  def self.has_Remaining_Coordinate_List
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000197')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000198)
  def self.has_Element
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000198')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000199)
  def self.exclude_Subtree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000199')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000200)
  def self.belongs_to_Tree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000200')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000201)
  def self.has_Parent_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000201')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000202)
  def self.has_Lineage_node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000202')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000203)
  def self.belongs_to_Tree_as_Root
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000203')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000204)
  def self.has_Hereditary_Change
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000204')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000205)
  def self.belongs_to_Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000206)
  def self.has_Molecular_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000207)
  def self.has_Continuous_Datum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000207')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000208)
  def self.has_TU
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000208')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000209)
  def self.has_Child_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000209')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000210)
  def self.has_Right_Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000210')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000211)
  def self.has_Precision
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000211')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000212)
  def self.has_Point_Coordinate_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000212')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000213)
  def self.has_Int_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000213')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000214)
  def self.has_Support_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000214')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000215)
  def self.has_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000215')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000216)
  def self.has_Uncertainty_Factor
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000216')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000217)
  def self.has_Range_End_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000217')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000218)
  def self.has_Float_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000218')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000219)
  def self.has_Range_Start_Value
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000219')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000002)
  def self.DesoxiRibonucleotideResidueStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000002')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000003)
  def self.CoordinatePoint
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000003')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000004)
  def self.Lineage
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000004')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000005)
  def self.Phylo4Tree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000005')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000006)
  def self.Network
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006')
  end

  # This is a non-computible description of a model, not the fully specified mathematical model, which typically relates the probability of a transformation to various parameters.
  # (http://purl.obolibrary.org/obo/CDAO_0000007)
  def self.ModelDescription
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000007')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000008)
  def self.StandardStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000008')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000009)
  def self.ContinuousCharacterLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000010)
  def self.ContinuousCharBayesianLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000010')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000011)
  def self.NEXUSTreeBlock
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000011')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000012)
  def self.RootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000012')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000013)
  def self.Kimura2Parameters
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000013')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000014)
  def self.TreeProcedure
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000014')
  end

  # This class should be renamed.  These are not generic states but non-concrete states including gap, unknown and missing.
  # (http://purl.obolibrary.org/obo/CDAO_0000015)
  def self.Generic_State
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000015')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000016)
  def self.UnrootedSubtree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000016')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000017)
  def self.UnresolvedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000017')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000018)
  def self.BifurcatingTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000018')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000019)
  def self.ContinuousStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000019')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000020)
  def self.SubstitutionModel
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000021)
  def self.JukesKantor
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000021')
  end

  # drawing from seqloc categories from NCBI at http://www.ncbi.nlm.nih.gov/IEB/ToolBox/SDKDOCS/SEQLOC.HTML#_Seq-loc:_Locations_on
  # (http://purl.obolibrary.org/obo/CDAO_0000022)
  def self.DatumCoordinate
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000022')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000023)
  def self.UnresolvedRootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000023')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000024)
  def self.Branch
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000024')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000025)
  def self.CharacterStateDataMatrixAnnotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000025')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000026)
  def self.AncestralNode
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000026')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000027)
  def self.UnresolvedUnrootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000027')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000029)
  def self.UncertainStateDomain
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000029')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000030)
  def self.ReconcileTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000030')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000031)
  def self.Continuous
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000031')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000032)
  def self.AlignmentProcedure
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000032')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000033)
  def self.Dichotomy
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000033')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000034)
  def self.Molecular
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000035)
  def self.ContinuousCharParsimonyLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000035')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000039)
  def self.Categorical
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039')
  end

  # Its possible that this base class should be discarded and that annotations should inherit from an imported base class if one exists.
  # (http://purl.obolibrary.org/obo/CDAO_0000040)
  def self.CDAOAnnotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000040')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000041)
  def self.originationEvent
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000041')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000042)
  def self.Polytomy
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000042')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000043)
  def self.PolymorphicStateDomain
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000043')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000044)
  def self.TreeAnnotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000044')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000045)
  def self.Standard
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000045')
  end

  # Its possible that this should not be classed as an 'annotation' since it contains data rather than meta-data.
  # (http://purl.obolibrary.org/obo/CDAO_0000046)
  def self.EdgeLength
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000046')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000047)
  def self.RibonucleotideResidue
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000047')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000048)
  def self.Clade
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000048')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000049)
  def self.DiscreteCharParsimonyLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000049')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000050)
  def self.MolecularStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000051)
  def self.PolyphyleticGroup
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000051')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000052)
  def self.NexusDataBlock
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000052')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000053)
  def self.BranchingNode
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000053')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000055)
  def self.Compound
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000055')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000056)
  def self.CharacterStateDataMatrix
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000056')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000057)
  def self.RibonucleotideResidueStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000057')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000058)
  def self.TimeCalibratedLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000058')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000059)
  def self.SetOfNodes
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000059')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000060)
  def self.MRCANode
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000060')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000061)
  def self.FASTADataMatrix
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000061')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000062)
  def self.evolutionaryTransition
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000062')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000063)
  def self.EdgeLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000064)
  def self.cladogeneticChange
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000065)
  def self.anageneticChange
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000065')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000066)
  def self.TUAnnotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000066')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000067)
  def self.PhyloTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000067')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000068)
  def self.ContinuousCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000068')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000069)
  def self.PHYLIPTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000069')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000070)
  def self.Subtree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000070')
  end

  # Traits shown to be relevant for phylogenetic classification
  # (http://purl.obolibrary.org/obo/CDAO_0000071)
  def self.Character
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000071')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000072)
  def self.GalledTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000072')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000073)
  def self.SpeciesTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000073')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000074)
  def self.TreeFormat
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000075)
  def self.StandardCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000075')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000076)
  def self.AminoAcidResidue
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000076')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000077)
  def self.geneDuplication
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000077')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000078)
  def self.CompoundCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000078')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000079)
  def self.SIMMAPTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000079')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000080)
  def self.CommonAncestralNode
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000080')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000081)
  def self.NewickTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000081')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000082)
  def self.TimeProportionalLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000082')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000083)
  def self.DiscreteCharDistanceLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000083')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000084)
  def self.StarTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000084')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000085)
  def self.FullyResolvedUnrootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000085')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000086)
  def self.ParaphyleticGroup
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000086')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000087)
  def self.geneticEvent
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000087')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000088)
  def self.UnrootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000088')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000089)
  def self.CategoricalStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000090)
  def self.DiscreteCharLikelihoodLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000090')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000091)
  def self.CharacterStateDomain
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000091')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000092)
  def self.CoordinateList
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000092')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000093)
  def self.GammaDistribution
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000093')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000094)
  def self.DesoxiRibonucleotideResidueCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000094')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000095)
  def self.CoordinateRange
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000095')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000096)
  def self.ReticulateEvolution
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000096')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000097)
  def self.hereditaryChange
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000097')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000098)
  def self.CharacterStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000098')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000099)
  def self.Edge
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000099')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000100)
  def self.DiscreteCharacterLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000101)
  def self.EdgeAnnotation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000101')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000102)
  def self.FullyResolvedRootedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000102')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000103)
  def self.GrafenLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000103')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000104)
  def self.CoordinateSystem
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000104')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000105)
  def self.GenBankDataMatrix
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000105')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000107)
  def self.DataMatrixFormat
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000108)
  def self.TerminalNode
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000108')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000109)
  def self.RibonucleotideResidueCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000109')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000110)
  def self.Tree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000111)
  def self.CategoricalCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000111')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000112)
  def self.AminoAcidResidueStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000112')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000113)
  def self.PHYLIPDataMatrix
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000113')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000114)
  def self.ContinuousCharLikelihoodLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000114')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000115)
  def self.MolecularCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000115')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000116)
  def self.hereditaryPersistance
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000116')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000117)
  def self.SetOfCharacters
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000117')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000118)
  def self.SetOfThings
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000118')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000120)
  def self.Sequence
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000120')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000121)
  def self.speciation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000121')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000122)
  def self.cladogenesis
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000122')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000124)
  def self.Bifurcation
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000124')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000125)
  def self.DiscreteCharBayesianLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000125')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000126)
  def self.TaxonomicLink
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000126')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000127)
  def self.MonophyleticGroup
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000127')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000128)
  def self.molecularRecombination
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000128')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000129)
  def self.HolophyleticGroup
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000129')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000130)
  def self.FullyResolvedTree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000130')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000131)
  def self.AminoAcidResidueCharacter
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000131')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000132)
  def self.recombination
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000132')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000133)
  def self.DesoxiRibonucleotideResidue
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000133')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000134)
  def self.RootedSubtree
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000134')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000136)
  def self.CompoundStateDatum
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000136')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000137)
  def self.GapCost
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000137')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000138)
  def self.TU
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000138')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000139)
  def self.DirectedEdge
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000139')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000140)
  def self.Node
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000140')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000141)
  def self.ContinuousCharDistanceLengthType
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000141')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000220)
  def self.dA
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000220')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000221)
  def self.absent
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000221')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000222)
  def self.unknown
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000222')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000223)
  def self.gap
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000223')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000224)
  def self.dG
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000224')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000225)
  def self.rU
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000225')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000226)
  def self.dC
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000226')
  end

  # -- No comment or description provided. --
  # (http://purl.obolibrary.org/obo/CDAO_0000227)
  def self.dT
    return RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000227')
  end

  # Determines whether the given URI is an object property.
  #
  # +uri+:: URI that is tested for being an object property
  def self.is_object_property?(uri)
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000142') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000143') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000144') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000145') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000146') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000147') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000148') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000149') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000150') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000151') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000152') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000153') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000154') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000155') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000156') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000157') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000158') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000159') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000160') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000161') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000162') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000163') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000164') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000165') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000166') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000167') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000168') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000169') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000170') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000171') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000172') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000173') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000174') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000175') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000176') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000177') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000179') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000180') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000181') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000185') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000186') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000187') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000188') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000189') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000191') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000192') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000193') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000194') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000195') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000196') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000197') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000198') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000199') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000200') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000201') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000202') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000203') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000204') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000207') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000208') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000209') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000210') then
      return true
    end
    return false
  end

  # Determines whether the given URI is a datatype property.
  #
  # +uri+:: URI that is tested for being a datatype property
  def self.is_datatype_property?(uri)
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000211') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000212') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000213') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000214') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000215') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000216') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000217') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000218') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000219') then
      return true
    end
    return false
  end

  # Determines whether the given URI is a class.
  #
  # +uri+:: URI that is tested for being a class
  def self.is_class?(uri)
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000002') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000003') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000004') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000005') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000007') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000008') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000010') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000011') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000012') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000013') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000014') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000015') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000016') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000017') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000018') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000019') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000021') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000022') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000023') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000024') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000025') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000026') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000027') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000029') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000030') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000031') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000032') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000033') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000035') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000040') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000041') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000042') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000043') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000044') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000045') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000046') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000047') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000048') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000049') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000051') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000052') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000053') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000055') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000056') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000057') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000058') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000059') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000060') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000061') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000062') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000065') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000066') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000067') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000068') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000069') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000070') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000071') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000072') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000073') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000075') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000076') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000077') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000078') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000079') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000080') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000081') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000082') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000083') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000084') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000085') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000086') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000087') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000088') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000090') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000091') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000092') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000093') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000094') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000095') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000096') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000097') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000098') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000099') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000101') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000102') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000103') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000104') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000105') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000108') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000109') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000111') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000112') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000113') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000114') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000115') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000116') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000117') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000118') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000120') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000121') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000122') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000124') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000125') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000126') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000127') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000128') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000129') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000130') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000131') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000132') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000133') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000134') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000136') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000137') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000138') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000139') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000140') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000141') then
      return true
    end
    return false
  end

  # Determines whether the given URI is a named individual.
  #
  # +uri+:: URI that is tested for being a named individual
  def self.is_named_individual?(uri)
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000220') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000221') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000222') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000223') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000224') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000225') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000226') then
      return true
    end
    if uri == RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000227') then
      return true
    end
    return false
  end

  # Returns only those URIs that fall under a designated parent URI.
  #
  # +uris+:: Set of URIs that are tested whether they have the given parent URI.
  # +parent+:: Parent URI.
  def self.with_parent(uris, parent)
    return uris.select { |uri| has_parent?(uri, parent) }
  end

  # Recursively tries to determine the parent for a given URI.
  #
  # +uri+:: URI that is tested for whether it has the given parent URI.
  # +parent+:: Parent URI.
  def self.has_parent?(uri, parent)
    if @@parent_properties.has_key?(uri) then
      if @@parent_properties[uri] == parent then
        return true
      end
      return has_parent?(@@parent_properties[uri], parent)
    end
    return false
  end

private
  @@parent_properties = { RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000142') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000143') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000146') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000144') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000145') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000146') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000147') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000148') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000149') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000174') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000150') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000151') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000152') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000153') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000154') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000156') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000158') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000159') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000162') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000166') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000168') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000170') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000171') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000173') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000174') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000175') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000176') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000177') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000146') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000179') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000144') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000180') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000153') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000185') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000186') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000188') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000161') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000189') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000184') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000191') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000192') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000193') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000195') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000197') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000198') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000199') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000161') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000200') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000201') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000162') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000202') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000203') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000204') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000205') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000190') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000206') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000183') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000207') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000153') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000208') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000178') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000209') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000162') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000210') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000182') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000213') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000215') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000218') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000215') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000002') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000003') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000022') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000005') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000007') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000040') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000008') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000010') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000011') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000013') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000014') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000044') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000015') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000016') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000070') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000017') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000018') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000019') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000098') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000007') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000021') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000023') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000017') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000027') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000088') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000032') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000025') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000033') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000026') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000035') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000091') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000040') => RDF::URI.new('http://www.w3.org/2002/07/owl#Thing') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000042') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000026') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000045') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000047') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000048') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000049') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000052') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000053') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000026') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000055') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000039') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000057') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000058') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000061') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') => RDF::URI.new('http://www.w3.org/2002/07/owl#Thing') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000097') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000065') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000097') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000067') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000069') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000072') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000073') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000044') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000075') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000111') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000076') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000077') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000079') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000081') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000074') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000082') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000083') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000085') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000088') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000087') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000041') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000088') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000098') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000090') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000092') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000022') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000093') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000020') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000095') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000022') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000096') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000103') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000063') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000104') => RDF::URI.new('http://www.w3.org/2002/07/owl#Thing') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000105') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000025') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000108') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000140') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000111') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000071') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000112') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000050') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000113') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000107') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000114') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000115') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000111') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000121') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000122') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000064') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000125') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000100') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000126') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000066') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000127') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000006') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000128') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000132') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000129') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000127') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000130') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000110') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000132') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000087') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000133') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000034') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000134') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000070') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000136') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000089') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000137') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000007') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000138') => RDF::URI.new('http://www.w3.org/2002/07/owl#Thing') , RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000141') => RDF::URI.new('http://purl.obolibrary.org/obo/CDAO_0000009') }

end

end
